
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "mycalender/version"

Gem::Specification.new do |gem|
  gem.name          = "mycalender"
  gem.version       = Mycalender::VERSION
  gem.authors       = ["Mukesh Kumar"]
  gem.email         = ["karanraj9042@gmail.com"]

  gem.summary       = %q{calender.}
  gem.description   = %q{calender.}
  gem.homepage      = "https://github.com/karanraj9042/holiday_calender"
  gem.license       = "MIT"
  gem.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")


  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  gem.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  gem.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  gem.require_paths = ["lib"]

  gem.add_runtime_dependency 'jquery-rails', '>= 4.0.5', '< 5.0.0'
  gem.add_runtime_dependency 'jquery-ui-rails', '~> 5.0', '>= 5.0.2'
  gem.add_runtime_dependency 'momentjs-rails', '~> 2.9', '>= 2.9.0'
  
  
  gem.add_development_dependency "bundler", "~> 2.0"
  gem.add_development_dependency "rake", "~> 10.0"
  gem.add_development_dependency "rspec", "~> 3.0"
end
